Change in ...osmo-hlr[master]: manuals: Add script to update vty/counter documentation from docker

laforge gerrit-no-reply at lists.osmocom.org
Tue Jun 18 18:16:29 UTC 2019


laforge has submitted this change and it was merged. ( https://gerrit.osmocom.org/c/osmo-hlr/+/14497 )

Change subject: manuals: Add script to update vty/counter documentation from docker
......................................................................

manuals: Add script to update vty/counter documentation from docker

Related: OS#1700
Change-Id: Id57c34214396b02fafa55da223764748086290e8
---
M doc/manuals/Makefile.am
A doc/manuals/regen_doc.sh
2 files changed, 18 insertions(+), 0 deletions(-)

Approvals:
  Jenkins Builder: Verified
  laforge: Looks good to me, approved



diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 9e1295a..8a47f8a 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -4,6 +4,7 @@
     osmohlr-usermanual.adoc \
     osmohlr-usermanual-docinfo.xml \
     osmohlr-vty-reference.xml \
+    regen_doc.sh \
     chapters \
     vty
 
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..2e9194b
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_HLR_BRANCH=$COMMIT ./regen_doc.sh osmo-hlr 4258 \
+	"$MANUAL_DIR/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/vty/hlr_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-hlr/+/14497
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-hlr
Gerrit-Branch: master
Gerrit-Change-Id: Id57c34214396b02fafa55da223764748086290e8
Gerrit-Change-Number: 14497
Gerrit-PatchSet: 1
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge at gnumonks.org>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190618/b32ede6f/attachment.html>


More information about the gerrit-log mailing list